$(document).ready(function() {
    $("a.categorias").click(function(event){
        $("#contenido-procesos").load("procesos_varios/categorias/principal_categorias.php");
        event.preventDefault();
    });
    //envia el numero de pagina a categoria .
    $("a.pagina").click(function(event) {
        var num, reg; 
        num = $(this).attr("v-num");
        reg = $(this).attr("num-reg");
        $("#contenido-procesos").load("procesos_varios/categorias/principal_categorias.php?num="+num+"&num_reg="+reg);
        event.preventDefault();
    });

    $("#select-reg").on('change', function(event) {
        var valor;
        valor = $("#select-reg option:selected").val();
        $("#contenido-procesos").load("procesos_varios/categorias/principal_categorias.php?n_reg=1&num_reg=" + valor);
        event.preventDefault();
        
    });

    $("#like-categoria").on('change', function(event) {
        var valor;
        valor = $("#like-categoria").val();
        $("#contenido-procesos").load("procesos_varios/categorias/principal_categorias.php?like=1&valor=" + valor);
        event.preventDefault();
        
    });

    $("a.eliminar").click(function(event) {
        var id,img;
        id= $(this).attr("id-categoria");
        img= $(this).attr("imagen");
        alertify.confirm('Eliminar', '¿Estas seguro de querer eliminar la categoria seleccionada? <br><br> Esto eliminara los archivos relacionados en inventarios y productos', 
        function(){ alertify.success('Eliminar')}, 
        function(){ alertify.error('Cancelar')}
        ).setting({
            'oncancel': function(){ alertify.error('El proceso ha sido cancelado');},
            'onok': function(){ 
                $("#contenido-procesos").load("procesos_varios/categorias/eliminar.php?id="+id+"&img="+img);
            }
        }).show();
        
        event.preventDefault();

    });

    $("#new-cate").click(function(event) {
        $("#contenido-procesos").load("procesos_varios/categorias/form_insert.php");
        event.preventDefault();
    });

    $("#add-cate").on('submit',function(event){

        event.preventDefault();



        var formData = new FormData(document.getElementById('add-cate'));

        formData.append("insert_cate","1");

        $.ajax({

            url: "procesos_varios/categorias/IUD_categoria.php",

            type: "post",

            dataType: "html",

            data: formData,

            cache: false,

            contentType: false,

            processData: false

        }).done(function(res){

            $("#contenido-procesos").html(res);

        })

    })

    $("a.editar").click(function(event) {
        var id; 
        id = $(this).attr("id-categoria");
        $("#contenido-procesos").load("procesos_varios/categorias/form_edit.php?id="+id);
        event.preventDefault();
    });

    $("#edit-cate").on('submit',function(event){

        event.preventDefault();

        var formData = new FormData(document.getElementById('edit-cate'));

        formData.append("edit_cate","1");

        $.ajax({

            url: "procesos_varios/categorias/IUD_categoria.php",

            type: "post",

            dataType: "html",

            data: formData,

            cache: false,

            contentType: false,

            processData: false

        }).done(function(res){

            $("#contenido-procesos").html(res);

        })

    })
    
});  

function readURL(input) {
    if (input.files && input.files[0]) {
        var reader = new FileReader();
        reader.onload = function (e) {
            $('#imagenmuestra').attr('src', e.target.result);
        }
        reader.readAsDataURL(input.files[0]);
        
    }
    
}

$('#imagen').change(function () {
    readURL(this);
    
});