$(document).ready(function() {
    $("a.limites").click(function(event){
        $("#contenido-procesos").load("procesos_varios/limites/principal_limites.php");
        event.preventDefault(); 
    });
    //envia el numero de pagina a categoria .
    $("a.pagina").click(function(event) {
        var num, reg; 
        num = $(this).attr("v-num");
        reg = $(this).attr("num-reg");
        $("#contenido-procesos").load("procesos_varios/limites/principal_limites.php?num="+num+"&num_reg="+reg);
        event.preventDefault();
    });

    $("#select-reg").on('change', function(event) {
        var valor;
        valor = $("#select-reg option:selected").val();
        $("#contenido-procesos").load("procesos_varios/limites/principal_limites.php?n_reg=1&num_reg=" + valor);
        event.preventDefault();
        
    });

    $("#like-limites").on('change', function(event) {
        var valor;
        valor = $("#like-limites").val();
        $("#contenido-procesos").load("procesos_varios/limites/principal_limites.php?like=1&valor=" + valor);
        event.preventDefault();
        
    });

    $(".eliminar").click(function(event) {
        var id;
        id= $(this).attr("id-limites");
        alertify.confirm('Eliminar', '¿Estas seguro de querer eliminar el limite del producto seleccionado?', 
        function(){ alertify.success('Eliminar')}, 
        function(){ alertify.error('Cancelar')}
        ).setting({
            'oncancel': function(){ alertify.error('El proceso ha sido cancelado');},
            'onok': function(){ 
                $("#contenido-procesos").load("procesos_varios/limites/eliminar.php?id="+id);
            }
        }).show();
        
        event.preventDefault();

    });

    $("#new-limit").click(function(event) {
        $("#contenido-procesos").load("procesos_varios/limites/form_insert.php");
        event.preventDefault();
    });

    $("#save-limite").click(function(event) {
        var limite = $("#limite").val();
        var producto = $("#producto").val();
        if (limite == "" && producto == "nada") {
            alertify.alert("Registro limite", "Faltan datos.....");
            event.preventDefault();
            
        } 
        else {
            $("#contenido-procesos").load("procesos_varios/limites/IUD_limites.php?insert-limit=1&limite="+ limite+ "&producto="+producto);
            event.preventDefault();
        }
    });

    $("a.editar").click(function(event) {
        var id,prod; 
        id = $(this).attr("id-limites");
        $("#contenido-procesos").load("procesos_varios/limites/form_edit.php?id="+id);
        event.preventDefault();
    });

    $("#edit-limite").click(function(event) {
        var limite = $("#limite").val();
        var id = $("#id_limite").val();
        console.log(limite);
        console.log(id);
        if (limite == "") {
            alertify.alert("Registro limite", "Faltan datos.....");
            event.preventDefault();
            
        } 
        else {
            $("#contenido-procesos").load("procesos_varios/limites/IUD_limites.php?edit-limit=1&limite="+ limite+ "&id="+id);
            event.preventDefault();
        }
    });

    
});  