$(document).ready(function() {
    $("a.productos").click(function(event){
        $("#contenido-procesos").load("procesos_varios/productos/principal_productos.php");
        event.preventDefault();
    });
    //envia el numero de pagina a productos .
    $("a.pagina").click(function(event) {
        var num, reg; 
        num = $(this).attr("v-num");
        reg = $(this).attr("num-reg");
        $("#contenido-procesos").load("procesos_varios/productos/principal_productos.php?num="+num+"&num_reg="+reg);
        event.preventDefault();
    });

    $("#select-reg").on('change', function(event) {
        var valor;
        valor = $("#select-reg option:selected").val();
        $("#contenido-procesos").load("procesos_varios/productos/principal_productos.php?n_reg=1&num_reg=" + valor);
        event.preventDefault();
        
    });

    $("#like-producto").on('change', function(event) {
        var valor;
        valor = $("#like-producto").val();
        $("#contenido-procesos").load("procesos_varios/productos/principal_productos.php?like=1&valor=" + valor);
        event.preventDefault();
        
    });

    $("a.eliminar").click(function(event) {
        var id,img;
        id = $(this).attr("id-producto");
        img = $(this).attr("imagen-producto")
        alertify.confirm('Eliminar', '¿Estas seguro de querer eliminar el producto seleccionado? <br><br> Esto eliminara los archivos relacionados en Limites e Inventarios', 
        function(){ alertify.success('Eliminar')}, 
        function(){ alertify.error('Cancelar')}
        ).setting({
            'oncancel': function(){ alertify.error('El proceso ha sido cancelado');},
            'onok': function(){ 
                $("#contenido-procesos").load("procesos_varios/productos/eliminar.php?id="+id+"&img="+img);
            }
        }).show();
        
        event.preventDefault();

    });
    
    $("#new-producto").click(function(event) {
        $("#contenido-procesos").load("procesos_varios/productos/form_insert.php");
        event.preventDefault();
    });

    $("#add-product").on('submit',function(event){

        event.preventDefault();



        var formData = new FormData(document.getElementById('add-product'));

        formData.append("insert_pro","1");

        $.ajax({

            url: "procesos_varios/productos/IUD_productos.php",

            type: "post",

            dataType: "html",

            data: formData,

            cache: false,

            contentType: false,

            processData: false

        }).done(function(res){

            $("#contenido-procesos").html(res);

        })

    })

    $("a.editar").click(function(event) {
        var id; 
        id = $(this).attr("id-producto");
        $("#contenido-procesos").load("procesos_varios/productos/form_edit.php?id="+id);
        event.preventDefault();
    });

    $("#edit-product").on('submit',function(event){

        event.preventDefault();

        var formData = new FormData(document.getElementById('edit-product'));

        formData.append("edit_pro","1");

        $.ajax({

            url: "procesos_varios/productos/IUD_productos.php",

            type: "post",

            dataType: "html",

            data: formData,

            cache: false,

            contentType: false,

            processData: false

        }).done(function(res){

            $("#contenido-procesos").html(res);

        })

    })

});  

function readURL(input) {
    if (input.files && input.files[0]) {
        var reader = new FileReader();
        reader.onload = function (e) {
            $('#imagenmuestra').attr('src', e.target.result);
        }
        reader.readAsDataURL(input.files[0]);
        
    }
    
}

$('#imagen').change(function () {
    readURL(this);
});
